Name: pptpd
%define ver_base 1.1.3
%define ver_cvs 20030409
Version: %ver_base%{?ver_cvs:_%ver_cvs}
Release: alt1
%define srcname %name-%ver_base%{?ver_cvs:-%ver_cvs}

Summary: A PPTP server daemon
License: GPL
Group: Networking/Other
Url: http://www.poptop.org

Source: http://unc.dl.sourceforge.net/sourceforge/poptop/%srcname.tar.bz2
Source1: pptpd.init
Source2: pptpd.sysconfig
Patch1: pptpd-1.1.1-alt-makefile.patch
Patch2: pptpd-1.1.3-asp-alternate-pppd.patch

Requires: ppp

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4

%def_with libwrap

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out connections
to pptp clients to become virtual members of the IP pool owned by the pptp
server.  In effect, these clients become virtual members of the local
subnet, regardless of what their real IP address is.  A tunnel is built
between the pptp server and client, and packets from the subnet are
wrapped and passed between server and client similar to other C/S
protocols.

%prep
%setup -q -n poptop
%patch1 -p1
%patch2 -p1

find -type d -name CVS -print0 |
	xargs -r0 rm -rf --

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
%configure %{subst_with libwrap}
%make_build

%install
%makeinstall

%__install -pD -m644 samples/%name.conf $RPM_BUILD_ROOT%_sysconfdir/%name.conf
%__install -pD -m644 samples/options.%name $RPM_BUILD_ROOT%_sysconfdir/ppp/options.%name
%__mkdir_p $RPM_BUILD_ROOT%_bindir
%__install -p -m755 tools/* $RPM_BUILD_ROOT%_bindir/
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
%__install -pD -m600 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%config %_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/ppp/options.%name
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%doc AUTHORS INSTALL README* TODO html samples

%changelog
* Wed Apr 23 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.3_20030409-alt1
- NMU: updated to 1.1.3-20030409, to fix exploitable buffer overflow,
  thanks to Timo Sirainen for reporting this issue.

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Rebuilt in ewn environment

* Mon Jun 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.2-alt1
- 1.1.2
- Added patches from ASP Linux
- Added /etc/sysconfig/pptpd file with args for pptpd
- Some spec cleanup

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.1-ipl2
- Rebuild for Sisyphus
- Fixed filelist
- Added %post & %postun scripts

* Sun Mar 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 1.1.1-ipl1
- First build for ALT
